<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:xd="http://www.oxygenxml.com/ns/doc/xsl" 
    xmlns:hl7="urn:hl7-org:v3" 
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
    xmlns:xhtml="http://www.w3.org/1999/xhtml" 
    xmlns="http://www.w3.org/1999/xhtml" 
    exclude-result-prefixes="xd hl7 xsi xhtml" 
    version="1.0">
        
    <xsl:template match="/">
        <xsl:apply-templates select="/hl7:ClinicalDocument"/>
    </xsl:template>
    
    <xsl:template match="hl7:ClinicalDocument[not(ancestor::hl7:ClinicalDocument)]">
        <html xmlns="http://www.w3.org/1999/xhtml" >
            <xsl:call-template name="printHead" />

            <body  onload="renderBarcode();">
                <!-- hier kommen jetzt alle versteckten Felder, damit diese für den Barcode verwendet werden können -->
                <xsl:call-template name="printHiddenFields1"/>
                
                <div style="background-color:#ffffaa; width:1000px" >
                <table >
                    <tr >
                        <td width="450px">
                            <xsl:call-template name="printPatient" />
                            
                        </td>
                        <td valign="top">
                            <font color='red'>
                            <h1>Überweisungsschein</h1>
                            <table>
                                <colgroup>
                                    <col width="20px"></col>
                                    <col width="60px"></col>
                                    <col width="20px"></col>
                                    <col width="20px"></col>
                                    <col width="20px"></col>
                                    <col width="20px"></col>
                                    <col width="20px"></col>
                                    <col width="130px"></col>
                                    <col width="20px"></col>
                                    <col width="20px"></col>
                                    <col width="20px"></col>
                                    <col width="20px"></col>
                                    <col width="20px"></col>
                                </colgroup>
                                <tr>
                                    <td class="in-red" >
    									<font size='+2'>
										<xsl:choose>
										    <xsl:when test="hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:code/@code='42349-1']/hl7:entry/hl7:act/hl7:code/@code='1'">
												<xsl:text>&#x2612;</xsl:text>
											</xsl:when>
											<xsl:otherwise>
												<xsl:text>&#x2610;</xsl:text>
											</xsl:otherwise>
										</xsl:choose>
										</font>
									</td>
                                    <td class="in-red" >Kurativ</td>
                                    <td class="in-red" >
                                        <font size='+2'>
                                            <xsl:choose>
                                                <xsl:when test="hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:code/@code='42349-1']/hl7:entry/hl7:act/hl7:code/@code='2'">
                                                    <xsl:text>&#x2612;</xsl:text>
                                                </xsl:when>
                                                <xsl:otherwise>
                                                    <xsl:text>&#x2610;</xsl:text>
                                                </xsl:otherwise>
                                            </xsl:choose>
                                        </font>
                                    </td>
                                    <td class="in-red" colspan='3'>Präventiv</td>
                                    <td class="in-red" >
                                        <font size='+2'>
                                            <xsl:choose>
                                                <xsl:when test="hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:code/@code='42349-1']/hl7:entry/hl7:act/hl7:code/@code='3'">
                                                    <xsl:text>&#x2612;</xsl:text>
                                                </xsl:when>
                                                <xsl:otherwise>
                                                    <xsl:text>&#x2610;</xsl:text>
                                                </xsl:otherwise>
                                            </xsl:choose>
                                        </font>
                                    </td>
                                    <td class="in-red" colspan='2'>Behandl. gemäß §116b SGB V</td>
                                    <td class="in-red" >
                                        <font size='+2'>
                                            <xsl:choose>
                                                <xsl:when test="hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:code/@code='42349-1']/hl7:entry/hl7:act/hl7:code/@code='4'">
                                                    <xsl:text>&#x2612;</xsl:text>
                                                </xsl:when>
                                                <xsl:otherwise>
                                                    <xsl:text>&#x2610;</xsl:text>
                                                </xsl:otherwise>
                                            </xsl:choose>
                                        </font>
                                    </td>
                                    <td class="in-red" colspan='2'>bei belegärztl. Behandlung</td>
                                    <td ><div class="in-red">Quartal</div>
                                        <div class="daten" style="background-color:white; border:1px solid red; font-size:20" >
                                            <xsl:call-template name="getQuartal">
                                                <xsl:with-param name="date" select="hl7:effectiveTime/@value"/>
                                            </xsl:call-template>
										</div>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="in-red" >
										<font size='+2'>
										<xsl:choose>
											<xsl:when test="hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:code/@code='ACCIDENT']/hl7:entry/hl7:observation[hl7:code/@code='ACCIDENT']/hl7:value/@code = 'ACCIDENT'">
												<xsl:text>&#x2612;</xsl:text>
											</xsl:when>
											<xsl:otherwise>
												<xsl:text>&#x2610;</xsl:text>
											</xsl:otherwise>
										</xsl:choose>
										</font>
									</td>
                                    <td class="in-red" colspan='2'>Unfall Unfallfolgen</td>
                                    <td class="in-red" colspan='6' align='right'>Datum der OP bei Leistungen nach Abschnitt 31.2</td>
                                    <td colspan='2'>
                                        <div class="daten" style="background-color:white; border:1px solid red; font-size:20" >
                                            <xsl:call-template name="formatDateTTMMJJ">
                                                <xsl:with-param name="date" select="hl7:component/hl7:structuredBody/hl7:component/hl7:section/hl7:entry/hl7:procedure/hl7:effectiveTime/@value"/>
                                            </xsl:call-template>
										</div>
                                    </td>
                                    <td class="in-red" colspan='3' align='right'>Geschlecht
										<font size='+2'>
										<xsl:choose>
											<xsl:when test="hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:code/@code='48768-6']/hl7:entry/hl7:act/hl7:entryRelationship/hl7:act/hl7:entryRelationship/hl7:observation[hl7:code/@code='eGK_Gender']/hl7:value/@code = 'M'">
												<xsl:text>&#x2612;</xsl:text>
											</xsl:when>
											<xsl:otherwise>
												<xsl:text>&#x2610;</xsl:text>
											</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:code/@code='48768-6']/hl7:entry/hl7:act/hl7:entryRelationship/hl7:act/hl7:entryRelationship/hl7:observation[hl7:code/@code='eGK_Gender']/hl7:value/@code = 'F'">
												<xsl:text>&#x2612;</xsl:text>
											</xsl:when>
											<xsl:otherwise>
												<xsl:text>&#x2610;</xsl:text>
											</xsl:otherwise>
										</xsl:choose>
										</font><br/>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="in-red" colspan='2' align='right'>Überweisung an</td>
                                    <td colspan='11'>
                                        <div id="feld35" class="daten" style="background-color:white; border:1px solid red; font-size:20" >
											<xsl:value-of select="hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:code/@code='42349-1']/hl7:entry/hl7:act/hl7:code/hl7:qualifier/hl7:value/@code"/>
										</div>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="in-red" ><font size='+2'>
										<xsl:choose>
											<xsl:when test="hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:code/@code='42349-1']/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation/hl7:value/@code='1'">
												<xsl:text>&#x2612;</xsl:text>
											</xsl:when>
											<xsl:otherwise>
												<xsl:text>&#x2610;</xsl:text>
											</xsl:otherwise>
										</xsl:choose>
									</font></td>
                                    <td class="in-red" colspan='4'>Ausführung von Auftragsleistungen</td>
                                    <td class="in-red" ><font size='+2'>
										<xsl:choose>
											<xsl:when test="hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:code/@code='42349-1']/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation/hl7:value/@code='2'">
												<xsl:text>&#x2612;</xsl:text>
											</xsl:when>
											<xsl:otherwise>
												<xsl:text>&#x2610;</xsl:text>
											</xsl:otherwise>
										</xsl:choose>
									</font></td>
                                    <td class="in-red" colspan='2'>Konsiliar- untersuchung</td>
                                    <td class="in-red" ><font size='+2'>
										<xsl:choose>
											<xsl:when test="hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:code/@code='42349-1']/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation/hl7:value/@code='3'">
												<xsl:text>&#x2612;</xsl:text>
											</xsl:when>
											<xsl:otherwise>
												<xsl:text>&#x2610;</xsl:text>
											</xsl:otherwise>
										</xsl:choose>
									</font></td>
                                    <td class="in-red" colspan='2'>Mit-/Weiter- behandlung</td>
                                    <td colspan='2'><div class="in-red" >AU bis</div>
                                        <div  class="daten" style="background-color:white; border:1px solid red; font-size:20" >
                                            <xsl:call-template name="formatDateTTMMJJ">
                                                <xsl:with-param name="date" select="hl7:component/hl7:structuredBody/hl7:component/hl7:section/hl7:entry/hl7:observation/hl7:effectiveTime/hl7:high/@value"/>
                                            </xsl:call-template>
										</div>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="in-red" >
                                        <font size='+2'>
                                            <xsl:choose>
                                                <xsl:when test="hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:code/@code='42349-1']/hl7:entry/hl7:act/hl7:code/hl7:qualifier[hl7:name/@code='EINGESCHR']">
                                                    <xsl:text>&#x2612;</xsl:text>
                                                </xsl:when>
                                                <xsl:otherwise>
                                                    <xsl:text>&#x2610;</xsl:text>
                                                </xsl:otherwise>
                                            </xsl:choose>
                                        </font>
                                    </td>
                                    <td class="in-red" colspan='8'>eingeschränkter Leistungsanspruch gemäß §16 Abs. 3a SGB V</td>
                                </tr>
                            </table>
                            </font>
                        </td>
                    </tr>
                </table>
                <table width="650px" >
                    <tr >
                        <td >
                            <h4>Diagnose/Verdachtsdiagnose</h4>
                            <div class="daten" style="background-color:white; width:600px; border-bottom:1px solid red;" >
                                <xsl:value-of select="hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:code/@code='DIAGNOSE']/hl7:text"/>&#160;
                                <br/>
                            </div><font size="1">&#160;</font>
                            <div class="daten" style="background-color:white; width:600px; border-bottom:1px solid red;" >
                                <br/>
                            </div>
                            <h4>Befund/Medikation</h4>
                            <div class="daten" style="background-color:white; width:600px; border-bottom:1px solid red;" >
                                <xsl:value-of select="hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:code/@code='BEFUND']/hl7:text"/>&#160;
                                <br/>
                            </div><font size="1">&#160;</font>
                            <div class="daten" style="background-color:white; width:600px; border-bottom:1px solid red;" >
                                <xsl:value-of select="hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:code/@code='10160-0']/hl7:text"/>&#160;
                                <br/>
                            </div>
                            <h4>Auftrag</h4>
                            <div class="daten" style="background-color:white; width:600px; border-bottom:1px solid red;" >
                                <xsl:value-of select="hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:code/@code='AUFTRAG']/hl7:text"/>&#160;
                                <br/>
                            </div>
							<font size="-5">&#160;</font>
                            <div class="daten" style="background-color:white; width:600px; border-bottom:1px solid red;" >
                                <br/>
                            </div>
							<font size="-5">&#160;</font>
                            <div class="daten" style="background-color:white; width:600px; border-bottom:1px solid red;" >
                                <br/>
                            </div>
							<font size="-5">&#160;</font>
                            <div class="daten" style="background-color:white; width:600px; border-bottom:1px solid red;" >
                                <br/>
                            </div>
							<font size="-5">&#160;</font>
                            <div class="daten" style="background-color:white; width:600px; border-bottom:1px solid red;" >
                                <br/>
                            </div>
                        </td>
                        <td valign='bottom' align='center'>
                            <xsl:call-template name="printBarcode" /><br/><br/><br/>
                            <xsl:call-template name="printArzt" />
                        </td>
                    </tr>
                </table>
                <br/>
                    <!-- hier kommen jetzt alle versteckten Felder, damit diese für den Barcode verwendet werden können -->
                    <xsl:call-template name="printHiddenFields2"/>
                </div>
            </body >
        </html>
    </xsl:template>

    <xsl:template name="printHead">
        <head>
            <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
            <title>
                Überweisung
            </title>
            <script src="bcmath-min.js" type="text/javascript"></script>
            <script src="pdf417-min.js" type="text/javascript"></script>	    
            <script src="muster06.js" type="text/javascript"></script>	    
            
            <style type="text/css" media="all">
                h1 {
                font-size: 16pt;
                color: #ff0000;
                font-weight: bold;
                font-family: Verdana;
                }
                h2 {
                font-size: 14pt;
                color: #ff0000;
                font-weight: bold;
                font-family: Verdana;
                }
                h3 {
                font-size: 12pt;
                color: #ff0000;
                font-weight: bold;
                font-family: Verdana;
                }
                h4 {
                font-size: 8pt;
                color: #ff0000;
                font-weight: normal;
                font-family: Verdana;
                }
                p {
                font-gamily: "Courier";
                font-size: small;
                }
                
                .in-red {
                font-size: 10pt;
                color: #ff0000;
                font-weight: normal;
                font-family: Verdana;
                }
                
                .daten {
                font-family: "Courier New";
                }
                
                .hidden {
                display: none;
                }
            </style>
 
        </head>
    </xsl:template>
    
    <xsl:template name="printPatient">
        <table style="border:1px solid red;" bgcolor="white" >
            <colgroup>
                <col width="270px"></col>
                <col width="270px"></col>
                <col width="60px"></col>
                <col width="160px"></col>
                <col width="40px"></col>
            </colgroup>
            <tr >
                <td class="in-red" colspan="5">Krankenkasse bzw. Kostenträger</td>
            </tr>
            <tr >
                <td id="feld10" colspan="4" style="border-bottom:1px solid red;" class="daten" >
                    <xsl:value-of select="hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:code/@code='48768-6']/hl7:entry/hl7:act/hl7:entryRelationship/hl7:act/hl7:performer/hl7:assignedEntity/hl7:representedOrganization"/>
                </td>
                <td style="border-bottom:1px solid red;" align="right" class="daten" >
                    <xsl:value-of select="hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:code/@code='48768-6']/hl7:entry/hl7:act/hl7:entryRelationship/hl7:act/hl7:entryRelationship/hl7:observation[hl7:code/@code='KV-Zuordnung']/hl7:value/@code"/>
                </td>
            </tr>
            <tr >
                <td class="in-red" colspan="5" >Name, Vorname des Versicherten</td>
            </tr>
            <tr >
                <td colspan="3" class="daten" >
                    <xsl:value-of select="hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:family"/>
                </td>
                <td colspan="2" ><div class="in-red">geb. am</div>
                </td>
            </tr>
            <tr >
                <td colspan="2" class="daten">
                    <xsl:if test="hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:prefix[@qualifier='AC']">
                        <xsl:value-of select="hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:prefix[@qualifier='AC']"/>
                        <xsl:text> </xsl:text>
                    </xsl:if>
                    <xsl:if test="hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:prefix[@qualifier='NB']">
                        <xsl:value-of select="hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:prefix[@qualifier='NB']"/>
                        <xsl:text> </xsl:text>
                    </xsl:if>
                    <xsl:value-of select="hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:given"/>
                    <xsl:if test="hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:prefix[@qualifier='VV']">
                        <xsl:text> </xsl:text>
                        <xsl:value-of select="hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:prefix[@qualifier='VV']"/>
                    </xsl:if>
                </td>
                <td colspan="3" class="daten">
                    <xsl:call-template name="formatDate">
                        <xsl:with-param name="date" select="hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime/@value"/>
                    </xsl:call-template>
                </td>
            </tr>
            <tr >
                <td colspan="5" style="border-bottom:1px solid red;" class="daten" >
                    <xsl:value-of select="hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:streetName"/><xsl:value-of select="hl7:recordTarget/hl7:patientRole/hl7:addr/postBox"/><xsl:text> </xsl:text><xsl:value-of select="hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:houseNumber"/><br/>
                    <xsl:value-of select="hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:country"/><xsl:text> </xsl:text>
                    <xsl:value-of select="hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:postalCode"/><xsl:text> </xsl:text>
                    <xsl:value-of select="hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:city"/>
                </td>
            </tr>
            <tr>
                <td class="in-red" >Kostenträgerkennung</td>
                <td class="in-red" colspan="2">Versichertennummer</td>
                <td class="in-red" >Status</td>
            </tr>
            <tr>
                <td id="feld09" class="daten" >
                    <xsl:value-of select="hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:code/@code='48768-6']/hl7:entry/hl7:act/hl7:entryRelationship/hl7:act/hl7:performer/hl7:assignedEntity/hl7:id/@extension"/>
                </td>
                <td id="feld12" colspan="2" style="border-left:1px solid red;" class="daten" >
                    <xsl:value-of select="hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:code/@code='48768-6']/hl7:entry/hl7:act/hl7:entryRelationship/hl7:act/hl7:participant/hl7:participantRole/hl7:id/@extension"/>
                </td>
                <td colspan="2" style="border-left:1px solid red;" class="daten" >
                    <xsl:value-of select="hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:code/@code='48768-6']/hl7:entry/hl7:act/hl7:entryRelationship/hl7:act/hl7:participant/hl7:participantRole/hl7:code/@code"/>  <xsl:text> </xsl:text>
                    <xsl:value-of select="hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:code/@code='48768-6']/hl7:entry/hl7:act/hl7:entryRelationship/hl7:act/hl7:entryRelationship/hl7:observation[hl7:code/@code='PRSNGRP']/hl7:value/@code"/> <xsl:text> </xsl:text>
                    <xsl:value-of select="hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:code/@code='48768-6']/hl7:entry/hl7:act/hl7:entryRelationship/hl7:act/hl7:entryRelationship/hl7:observation[hl7:code/@code='DMP']/hl7:value/@code"/>
                </td>
            </tr>
            <tr >
                <td class="in-red"  style="border-top:1px solid red;">Betriebsstättennummer</td>
                <td class="in-red" style="border-top:1px solid red;">Arzt-Nr</td>
                <td class="in-red" style="border-top:1px solid red;" colspan="3">Datum</td>
            </tr>
            <tr >
                <td class="daten" >
                    <xsl:value-of select="hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id[@root='1.2.276.0.76.4.17']/@extension"/>
                </td>
                <td style="border-left:1px solid red;" class="daten" >
                    <xsl:value-of select="hl7:author/hl7:assignedAuthor/hl7:id/@extension"/>
                </td>
                <td colspan="3" style="border-left:1px solid red;" class="daten" >
                    <xsl:call-template name="formatDate">
                        <xsl:with-param name="date" select="hl7:effectiveTime/@value"/>
                    </xsl:call-template>
                </td>
            </tr>
        </table>
    </xsl:template>

    <xsl:template name="printArzt">
        <div style="background-color:white; width:300px; border:1px solid red;" class="daten" >
            <xsl:value-of select="hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id[@root='1.2.276.0.76.4.17']/@extension"/>&#160;&#160;&#160;
            <xsl:value-of select="hl7:author/hl7:assignedAuthor/hl7:id[@root='1.2.276.0.76.4.16']/@extension"/>&#160;&#160;
            <xsl:value-of select="hl7:author/hl7:assignedAuthor/hl7:id[@root='1.2.276.0.76.4.xxxxx']/@extension"/>
            <br/>
            <br/>
            <xsl:value-of select="hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name"/>
            <br/>
            <xsl:value-of select="hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name"/>
            <br/>
            <xsl:value-of select="hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr/hl7:streetName"/>&#160;
            <xsl:value-of select="hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr/hl7:houseNumber"/>
            <br/>
            <xsl:value-of select="hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr/hl7:postalCode"/>&#160;
            <xsl:value-of select="hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr/hl7:city"/>
            <br/>
            <br/>
            <font class="in-red" size="-2">Vertragsarztstempel / Unterschrift</font>
        </div>
    </xsl:template>

    <xsl:template name="printBarcode">
        <div id="barcode" align="center" width="100%" ></div>
    </xsl:template>
	
    <xsl:template name="formatDate">
        <xsl:param name="date"/>
        <xsl:variable name="yearNum" select="substring ($date, 1, 4)"/>
        <xsl:variable name="monthNum" select="substring ($date, 5, 2)"/>
        <xsl:variable name="dayNum" select="substring ($date, 7, 2)"/>

        <xsl:value-of select="$dayNum"/>
        <xsl:text>.</xsl:text>
        <xsl:value-of select="$monthNum"/>
        <xsl:text>.</xsl:text>
        <xsl:value-of select="$yearNum"/>
        
    </xsl:template>

    <xsl:template name="formatDateTTMMJJ">
        <xsl:param name="date"/>
        <xsl:variable name="yearNum" select="substring ($date, 3, 2)"/>
        <xsl:variable name="monthNum" select="substring ($date, 5, 2)"/>
        <xsl:variable name="dayNum" select="substring ($date, 7, 2)"/>

        <xsl:value-of select="$dayNum"/>
        <xsl:value-of select="$monthNum"/>
        <xsl:value-of select="$yearNum"/>
    </xsl:template>

    <xsl:template name="formatDateJJJJMMTT">
        <xsl:param name="date"/>
        <xsl:variable name="yearNum" select="substring ($date, 1, 4)"/>
        <xsl:variable name="monthNum" select="substring ($date, 5, 2)"/>
        <xsl:variable name="dayNum" select="substring ($date, 7, 2)"/>
        
        <xsl:value-of select="$yearNum"/>
        <xsl:value-of select="$monthNum"/>
        <xsl:value-of select="$dayNum"/>
        
    </xsl:template>
    
	<xsl:template name="getQuartal">
        <xsl:param name="date"/>
        <xsl:variable name="yearNum" select="substring ($date, 3, 2)"/>
        <xsl:variable name="monthNum" select="substring ($date, 5, 2)"/>

		<xsl:choose>
		<xsl:when test="$monthNum='01'"><xsl:text>1</xsl:text></xsl:when>
		<xsl:when test="$monthNum='02'"><xsl:text>1</xsl:text></xsl:when>
		<xsl:when test="$monthNum='03'"><xsl:text>1</xsl:text></xsl:when>
		<xsl:when test="$monthNum='04'"><xsl:text>2</xsl:text></xsl:when>
		<xsl:when test="$monthNum='05'"><xsl:text>2</xsl:text></xsl:when>
		<xsl:when test="$monthNum='06'"><xsl:text>2</xsl:text></xsl:when>
		<xsl:when test="$monthNum='07'"><xsl:text>3</xsl:text></xsl:when>
		<xsl:when test="$monthNum='08'"><xsl:text>3</xsl:text></xsl:when>
		<xsl:when test="$monthNum='09'"><xsl:text>3</xsl:text></xsl:when>
		<xsl:when test="$monthNum='10'"><xsl:text>4</xsl:text></xsl:when>
		<xsl:when test="$monthNum='11'"><xsl:text>4</xsl:text></xsl:when>
		<xsl:when test="$monthNum='12'"><xsl:text>4</xsl:text></xsl:when>
		</xsl:choose>
        <xsl:value-of select="$yearNum"/>
        
    </xsl:template>

	<xsl:template name="printHiddenFields1">
	    <div class="hidden" id="feld04"><xsl:value-of select="hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:code/@code='48768-0']/hl7:entry/hl7:act/hl7:entryRelationship/hl7:act/hl7:particpant/hl7:time/hl7:high/@value"/></div>
	    <div class="hidden" id="feld05"><xsl:value-of select="hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:family"/></div>
	    <div class="hidden" id="feld06"><xsl:value-of select="hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:given"/></div>
	    <div class="hidden" id="feld07">
            <xsl:call-template name="formatDateJJJJMMTT">
                <xsl:with-param name="date" select="hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime/@value"/>
            </xsl:call-template>
        </div>
	    <div class="hidden" id="feld08"><xsl:value-of select="hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:code/@code='48768-0']/hl7:entry/hl7:act/hl7:entryRelationship/hl7:act/hl7:particpant/participantRole/code/@code"/></div>
	    <div class="hidden" id="feld11"><xsl:value-of select="hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:code/@code='48768-6']/hl7:entry/hl7:act/hl7:entryRelationship/hl7:act/hl7:entryRelationship/hl7:observation[hl7:code/@code='WOP']/hl7:value/@code"/></div>
	    <div class="hidden" id="feld13"><xsl:value-of select="hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id[@root='1.2.276.0.76.4.17']/@extension"/></div>
	    <div class="hidden" id="feld14"><xsl:value-of select="hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:code/@code='48768-0']/hl7:entry/hl7:act/hl7:entryRelationship/hl7:act/hl7:entryRelationship/hl7:observation[hl7:code/@code='PRSNGRP']/hl7:value/@code"/></div>
	    <div class="hidden" id="feld15"><xsl:value-of select="hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:code/@code='48768-0']/hl7:entry/hl7:act/hl7:entryRelationship/hl7:act/hl7:entryRelationship/hl7:observation[hl7:code/@code='DMP']/hl7:value/@code"/></div>
	    <div class="hidden" id="feld16"><xsl:value-of select="hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id[@root='1.2.276.0.76.4.17']/@extension"/></div>
	    <div class="hidden" id="feld17"><xsl:value-of select="hl7:author/hl7:assignedAuthor/hl7:id[@root='1.2.276.0.76.4.16']/@extension"/></div>
	    <div class="hidden" id="feld18">
	        <xsl:call-template name="formatDateJJJJMMTT">
	            <xsl:with-param name="date" select="hl7:effectiveTime/@value"/>
	        </xsl:call-template>
	    </div>
	    <div class="hidden" id="feld19">
	        <xsl:value-of select="hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:code/@code='48768-6']/hl7:entry/hl7:act/hl7:entryRelationship/hl7:act/hl7:entryRelationship/hl7:observation[hl7:code/@code='eGK_Gender']/hl7:value/@code"/>
	    </div>
	    <div class="hidden" id="feld20"><xsl:value-of select="hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:prefix[@qualifier='AC']"/></div>
	    <div class="hidden" id="feld21"><xsl:value-of select="hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:prefix[@qualifier='NB']"/></div>
	    <div class="hidden" id="feld22"><xsl:value-of select="hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:prefix[@qualifier='VV']"/></div>
	    <div class="hidden" id="feld23">
	        <xsl:if test="hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:streetName">
	            <xsl:value-of select="hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:postalCode"/>
	        </xsl:if>
	    </div>
	    <div class="hidden" id="feld24">
	        <xsl:if test="hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:streetName">
	            <xsl:value-of select="hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:city"/>
	        </xsl:if>
	    </div>
	    <div class="hidden" id="feld25">
	        <xsl:if test="hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:streetName">
	            <xsl:value-of select="hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:streetName"/>
	        </xsl:if>
	    </div>
	    <div class="hidden" id="feld26">
	        <xsl:if test="hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:streetName">
	            <xsl:value-of select="hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:houseNumber"/>
	        </xsl:if>
	    </div>
	    <div class="hidden" id="feld27">
	        <xsl:if test="hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:streetName">
	            <xsl:value-of select="hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:country"/>
	        </xsl:if>
	    </div>

	    <div class="hidden" id="feld32"><xsl:value-of select="hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:code/@code='42349-1']/hl7:entry/hl7:act/hl7:code/@code"/></div>
	    <div class="hidden" id="feld33">
            <xsl:if test="hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:code/@code='ACCIDENT']/hl7:entry/hl7:observation[hl7:code/@code='ACCIDENT']/hl7:value/@code = 'ACCIDENT'">
                <xsl:text>1</xsl:text>
            </xsl:if>
        </div>
	    <div class="hidden" id="feld34" >
	        <xsl:call-template name="formatDateJJJJMMTT">
	            <xsl:with-param name="date" select="hl7:component/hl7:structuredBody/hl7:component/hl7:section/hl7:entry/hl7:procedure/hl7:effectiveTime/@value"/>
	        </xsl:call-template>
	    </div>
	    <div class="hidden" id="feld36">
	        <xsl:call-template name="formatDateJJJJMMTT">
	            <xsl:with-param name="date" select="hl7:component/hl7:structuredBody/hl7:component/hl7:section/hl7:entry/hl7:observation/hl7:effectiveTime/hl7:high/@value"/>
	        </xsl:call-template>
	    </div>
	    <!-- wird in muster06.js direkt gesetzt -> funktioniert, hier wird der Wert nicht genommen :-(
	    <div class="hidden" id="feld37"><xsl:value-of select="hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:code/@code='42349-1']/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation/hl7:value/@code"/></div>
	    -->
	    <div class="hidden" id="feld38">
	        <xsl:if test="hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:code/@code='42349-1']/hl7:entry/hl7:act/hl7:code/hl7:qualifier[hl7:name/@code='EINGESCHR']"><xsl:text>1</xsl:text></xsl:if>
	    </div>
	    <div class="hidden" id="feld39">
	        <xsl:value-of select="hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:code/@code='DIAGNOSE']/hl7:text"/>
	    </div>
	    <div class="hidden" id="feld40">
	        <xsl:value-of select="hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:code/@code='BEFUND']/hl7:text"/>
	        <xsl:value-of select="hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:code/@code='10160-0']/hl7:text"/>
	    </div>
	    <div class="hidden" id="feld41">
	        <xsl:value-of select="hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:code/@code='AUFTRAG']/hl7:text"/>&#160;
	    </div>
	</xsl:template>

    <xsl:template name="printHiddenFields2">
        <!-- müsste eigentlich auch direkt am Anfang aufgerufen werden, damit die Feldinhalte bekannt sind -->
        <!-- wenn diese Felder als hidden am Anfang aufgerufen werden, dann wird das Formular nicht mehr gerendert -->
        <!-- Ursache: unbekannt -->
        <div class="hidden" id="feld28">
            <xsl:if test="hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:postBox">
                <xsl:value-of select="hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:postalCode"/>
            </xsl:if>
        </div>
        <div class="hidden" id="feld29">
            <xsl:if test="hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:postBox">
                <xsl:value-of select="hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:city"/>
            </xsl:if>
        </div>
        <div class="hidden" id="feld30"><xsl:value-of select="hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:postBox"/></div>
        <div class="hidden" id="feld31">
            <xsl:if test="hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:postBox">
                <xsl:value-of select="hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:country"/>
            </xsl:if>
        </div>
    </xsl:template>
</xsl:stylesheet>